<?PHP 
//This loads a variable called name via $_GET (url variable)
//So if you load the page via: example2.php?name=Idaho, it'll load Idaho's data!
//Try Changing $_GET to $_POST, and loading the page via form submission or AJAX!
if(isset($_GET['name'])){
	$name = $_GET['name'];
}else{
	//I gave $name a default value here, you could also write some code on how to handle a null request.
	//Typically I return an error and don't parse the page, but that's up to you
	$name = 'California';
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <title>Query State Info without Map</title>
    <script type="text/javascript" src="http://serverapi.arcgisonline.com/jsapi/arcgis/?v=3.0"></script>
    <script type="text/javascript" language="Javascript">
	/*
	EXAMPLE ON HOW TO USE THE QUERY TASK
	brian2000.com
	*/
	
	//YOU DON'T NEED TO REQURE THE MAP, ONLY THE QUERY TASK!
      dojo.require("esri.tasks.query");

      var queryTask, query;

      function init() {
        //build query
        queryTask = new esri.tasks.QueryTask("http://sampleserver1.arcgisonline.com/ArcGIS/rest/services/Demographics/ESRI_Census_USA/MapServer/5");
        //dojo.connect(queryTask, "onComplete", showResults);

        //build query filter
        query = new esri.tasks.Query();
        query.returnGeometry = false;
        query.outFields = ["SQMI","STATE_NAME","STATE_FIPS","SUB_REGION","STATE_ABBR","POP2000","POP2007","POP00_SQMI","POP07_SQMI","HOUSEHOLDS","MALES","FEMALES","WHITE","BLACK","AMERI_ES","ASIAN","OTHER","HISPANIC","AGE_UNDER5","AGE_5_17","AGE_18_21","AGE_22_29","AGE_30_39","AGE_40_49","AGE_50_64","AGE_65_UP"];
      }

      function execute_Query() {
		//This is the where clause, try different states
		//then try different fields such as  POP2000 > 50000
		//PHP loads the query variable dynamically
        query.where = "STATE_NAME = '<?php echo $name;?>'";
        //execute query
        queryTask.execute(query,showResults);
      }

      function showResults(results) {
        var s = "";
        for (var i=0, il=results.features.length; i<il; i++) {
          var featureAttributes = results.features[i].attributes;
          for (att in featureAttributes) {
            s = s + "<b>" + att + ":</b>  " + featureAttributes[att] + "<br />";
          }
        }
        dojo.byId("info").innerHTML = s;
      }

      dojo.addOnLoad(init);
    </script>
  </head>
  <body onload="execute_Query()">
    <div id="info" style="padding:5px; margin:5px; background-color:#eee;">
    </div>
  </body>
</html>